## org.apache.http.client.protocol
Class ClientContextConfigurer

    java.lang.Object
      org.apache.http.client.protocol.ClientContextConfigurer

All Implemented Interfaces:
  ClientContext

    @NotThreadSafe
    public class ClientContextConfigurer

extends Object
implements ClientContext

Configuration facade for `HttpContext` instances.

Since:
  4.0

Field Summary

Fields inherited from interface org.apache.http.client.protocol.ClientContext
`AUTH_CACHE, AUTH_SCHEME_PREF, AUTHSCHEME_REGISTRY, COOKIE_ORIGIN, COOKIE_SPEC, COOKIE_STORE, COOKIESPEC_REGISTRY, CREDS_PROVIDER, PROXY_AUTH_STATE, SCHEME_REGISTRY, TARGET_AUTH_STATE, USER_TOKEN`

Constructor Summary
`ClientContextConfigurer(HttpContext context)`

Method Summary
`void` `setAuthSchemePref(List<String> list)` Deprecated. (4.1-alpha1) Use `HttpParams.setParameter(String, Object)` to set the parameters `AuthPNames#TARGET_AUTH_PREF` and `AuthPNames#PROXY_AUTH_PREF` instead
`void` `setAuthSchemeRegistry(AuthSchemeRegistry registry)`
`void` `setCookieSpecRegistry(CookieSpecRegistry registry)`
`void` `setCookieStore(CookieStore store)`
`void` `setCredentialsProvider(CredentialsProvider provider)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientContextConfigurer

    public ClientContextConfigurer(HttpContext context)

Method Detail

### setCookieSpecRegistry

    public void setCookieSpecRegistry(CookieSpecRegistry registry)

### setAuthSchemeRegistry

    public void setAuthSchemeRegistry(AuthSchemeRegistry registry)

### setCookieStore

    public void setCookieStore(CookieStore store)

### setCredentialsProvider

    public void setCredentialsProvider(CredentialsProvider provider)

### setAuthSchemePref

    @Deprecated
    public void setAuthSchemePref(List<String> list)

  Deprecated. (4.1-alpha1) Use `HttpParams.setParameter(String, Object)` to set the parameters `AuthPNames#TARGET_AUTH_PREF` and `AuthPNames#PROXY_AUTH_PREF` instead

Copyright © 1999-2011 The Apache Software Foundation. All Rights Reserved.